# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterB
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterB
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.DetailedCharacterB

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# DetailedCharacterB

###

#### final case class DetailedCharacterB(unk1: Option[Long], implants: List[ImplantEntry], unk2: List[DCDExtra1], unk3: List[DCDExtra1], firstTimeEvents: List[String], tutorials: List[String], unk4: Long, unk5: Long, unk6: Long, unk7: Long, unk8: Long, unk9: Option[DCDExtra2], unkA: List[Long], unkB: List[String], unkC: Boolean, cosmetics: Option[Set[Cosmetic]])(bep: Long, pad_length: Option[Int]) extends StreamBitSize with Product with Serializable

A representation of a portion of an avatar's `ObjectCreateDetailedMessage` packet data.

implants

  the `List` of implant slots currently possessed by this avatar

firstTimeEvents

  the list of first time events performed by this avatar; the size field is a 32-bit number; the first entry may be padded

tutorials

  the `List` of tutorials completed by this avatar; the size field is a 32-bit number; the first entry may be padded

cosmetics

  optional decorative features that are added to the player's head model by console/chat commands; they become available at battle rank 24; these flags do not exist if they are not applicable

Source
  DetailedCharacterData.scala
See also

  `CharacterData`

  `Cosmetics`

Linear Supertypes
Serializable, Product, Equals, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DetailedCharacterB
2. Serializable
3. Product
4. Equals
5. StreamBitSize
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DetailedCharacterB(unk1: Option[Long], implants: List[ImplantEntry], unk2: List[DCDExtra1], unk3: List[DCDExtra1], firstTimeEvents: List[String], tutorials: List[String], unk4: Long, unk5: Long, unk6: Long, unk7: Long, unk8: Long, unk9: Option[DCDExtra2], unkA: List[Long], unkB: List[String], unkC: Boolean, cosmetics: Option[Set[Cosmetic]])(bep: Long, pad_length: Option[Int])

   implants

     the `List` of implant slots currently possessed by this avatar

   firstTimeEvents

     the list of first time events performed by this avatar; the size field is a 32-bit number; the first entry may be padded

   tutorials

     the `List` of tutorials completed by this avatar; the size field is a 32-bit number; the first entry may be padded

   cosmetics

     optional decorative features that are added to the player's head model by console/chat commands; they become available at battle rank 24; these flags do not exist if they are not applicable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     DetailedCharacterB → StreamBitSize
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val cosmetics: Option[Set[Cosmetic]]
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  val firstTimeEvents: List[String]
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  val implants: List[ImplantEntry]
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val tutorials: List[String]
20.  val unk1: Option[Long]
21.  val unk2: List[DCDExtra1]
22.  val unk3: List[DCDExtra1]
23.  val unk4: Long
24.  val unk5: Long
25.  val unk6: Long
26.  val unk7: Long
27.  val unk8: Long
28.  val unk9: Option[DCDExtra2]
29.  val unkA: List[Long]
30.  val unkB: List[String]
31.  val unkC: Boolean
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped